<?php
if(!isset($_SESSION)) {
    session_start();
}

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
    && Varios::hasModuleAccess(9)
	&& isset($_POST['page'])
	&& isset($_POST['quantity'])
) {
  $page               = filter_var( $_POST['page'] , FILTER_SANITIZE_NUMBER_INT);
  $quantity           = filter_var( $_POST['quantity'] , FILTER_SANITIZE_NUMBER_INT);
  $cliente            = null;
  $proveedorSils      = null;
  $proveedorCliente   = null;
  $estado             = null;
  $rut                = null;
  $razonSocial        = null;

  
  if( isset($_SESSION['filtroclientesProveedoresCliente']) 
    && strlen($_SESSION['filtroclientesProveedoresCliente']) > 0
  ) {
    $cliente     = filter_var( $_SESSION['filtroclientesProveedoresCliente'] , FILTER_SANITIZE_STRING);
  }
  if( isset($_SESSION['filtroclientesProveedoresProveedorSils']) 
    && strlen($_SESSION['filtroclientesProveedoresProveedorSils']) > 0
  ) {
    $proveedorSils     = filter_var( $_SESSION['filtroclientesProveedoresProveedorSils'] , FILTER_SANITIZE_STRING);
  }
  if( isset($_SESSION['filtroclientesProveedoresProveedorCliente']) 
    && strlen($_SESSION['filtroclientesProveedoresProveedorCliente']) > 0
  ) {
    $proveedorCliente     = filter_var( $_SESSION['filtroclientesProveedoresProveedorCliente'] , FILTER_SANITIZE_STRING);
  }
  if( isset($_SESSION['filtroclientesProveedoresEstado']) 
    && strlen($_SESSION['filtroclientesProveedoresEstado']) > 0
  ) {
    $estado     = filter_var( $_SESSION['filtroclientesProveedoresEstado'] , FILTER_SANITIZE_NUMBER_INT);
  }  
  if( isset($_SESSION['filtroclientesProveedoresRut']) 
    && strlen($_SESSION['filtroclientesProveedoresRut']) > 0
  ) {
    $rut     = filter_var( $_SESSION['filtroclientesProveedoresRut'] , FILTER_SANITIZE_NUMBER_INT);
  }
  if( isset($_SESSION['filtroclientesProveedoresRazonSolcial']) 
    && strlen($_SESSION['filtroclientesProveedoresRazonSolcial']) > 0
  ) {
    $razonSocial = filter_var( $_SESSION['filtroclientesProveedoresRazonSolcial'] , FILTER_SANITIZE_STRING);
  }
  

  require_once($_SERVER['DOCUMENT_ROOT'].'/clases/clase_paginador.php');
  require_once($_SERVER['DOCUMENT_ROOT'].'/clases/ClienteProveedor.Class.php');
  $persona_obj  = new ClienteProveedor(null);
  $persona_inf1 = $persona_obj->informacionPersona(null, null, 1);
  $total_registros  = count($persona_inf1);
  $persona_inf2 = $persona_obj->informacionPersonaLimit($cliente, $proveedorSils, $proveedorCliente, $estado, $rut, $razonSocial, 0, 1000);
  //$persona_inf2 = $persona_obj->informacionReservaLimit(null, null, null, 104001, null, 0, 1000);
  $numeroRegistros = count($persona_inf2);

	$pagina = $page;

	if(isset($pagina)){
		$numeroPagina = $pagina;
	} else {
		$numeroPagina = 10;
	}

	$registrosPagina = $quantity;
	$ultimaPagina    = ceil($numeroRegistros/$registrosPagina);
	$numeroPagina    = (int)$numeroPagina;

	if($numeroPagina > $ultimaPagina){
		$numeroPagina = $ultimaPagina;
	}
	if($numeroPagina < 1){
		$numeroPagina = 1;
	}
	$desde 	  = ($numeroPagina - 1) * $registrosPagina;
	$cantidad = $registrosPagina;


	if($total_registros == $numeroRegistros) {
		$label_cantidad = 'Cantidad Total de clientes/proveedores: '.$numeroRegistros;
	} else {
		$label_cantidad = 'Clientes/proveedores filtrados '.$numeroRegistros.' de '.$total_registros;
	}
  
  $persona_inf2 = $persona_obj->informacionPersonaLimit($cliente, $proveedorSils, $proveedorCliente, $estado, $rut, $razonSocial, 0, 1000);
	$paginador = new Paginador('cargarInformacion', $numeroPagina, $registrosPagina, $numeroRegistros);?>
  <div class="row">
	<div class="col-sm-12" align="right"><?php
		if ( Varios::hasModuleActionAccess(9, 6) ) {?>
			<button class="btn btn-sm btn-primary" onclick="solicitaPersonaRecuperar(0)"><i class="picons-thin-icon-thin-0151_plus_add_new" 
				style="font-size:15px;color:white;"></i> Nuevo</button><?php
		}?>
	</div>
	</div>
  <table style="width: 100%;">
		<tr>
			<td align="left" style="width: 50%;">
				<label class="label_paginador"><?php echo $label_cantidad;?></label>
			</td>
			<td align="right" style="width: 50%;">
				<label><?php $paginador->muestraPaginador();?></label>
			</td>
		</tr>
	</table>
  <div class="col-xs-12 table-responsive">
  <table id="datatable" class="table table-striped table-bordered">
    <thead>
      <tr>
        <th width="10%">Rut</th>
				<th width="21%">Razón Social</th>
				<th width="8%">Cliente</th>
				<th width="8%">Proveedor<br/> Sils</th>
				<th width="8%">Proveedor<br/> Cliente</th>
				<th width="15%">Télf.Celular</th>				
				<th width="15%">Email</th>
				<th width="10%">Estado</th>
				<th width="10%">Opciones</th>
      </tr>
    </thead>
    <tbody><?php
      foreach ($persona_inf2 as $value) {?>
        <tr>
        <td style="vertical-align: text-top; white-space: nowrap;"><?php echo Varios::rutDarFormato($value['pers_rut']);?></td>
					<td style="vertical-align: text-top;"><?php echo $value['pers_razon_social'];?></td>
					<td style="vertical-align: text-top;"><?php echo $value['pers_cliente_formato'];?></td>
					<td style="vertical-align: text-top;"><?php echo $value['pers_proveedorSils_formato'];?></td>
					<td style="vertical-align: text-top;"><?php echo $value['pers_proveedorCliente_formato'];?></td>
					<td style="vertical-align: text-top;"><?php echo $value['pers_telefono_celular'];?></td>
					<td style="vertical-align: text-top;"><?php echo $value['pers_email'];?></td>
					<td style="vertical-align: text-top;"><?php echo $value['pers_estado'];?></td>
					<td style="vertical-align: text-top; white-space: nowrap;"  class="row-actions"><?php 
						if($value['para_estado_UID'] == 100001){ //pendiente de revisión ?>
							<a href="#" title="Aprobar solicitud" onclick="solicitaPersonaVerificar('<?php echo 'Aprobar';?>', <?php echo $value['pers_UID'];?>)">
                  <i class="picons-thin-icon-thin-0663_like_thumb_up_vote" style="color:green;"></i></a>
							<a href="#" title="Rechazar solicitud" onclick="solicitaPersonaVerificar('<?php echo 'Rechazar';?>', <?php echo $value['pers_UID'];?>)">
                  <i class="picons-thin-icon-thin-0664_dislike_thumb_down_vote" style="color:red;"></i></a><?php
						} else if($value['para_estado_UID'] == 100003){ //rechazado?>
              <a href="#" title="Habilitar solicitud" onclick="solicitaPersonaVerificar('<?php echo 'Habilitar';?>', <?php echo $value['pers_UID'];?>)">
                  <i class="picons-thin-icon-thin-0142_rotate_sync" style="color:blue;"></i></a><?php
            } else {?>
						<a href="#" title="Modificar" onclick="solicitaPersonaRecuperar(<?php echo $value['pers_UID'];?>, 
								'<?php echo $value['pers_razon_social'];?>')"><i class="os-icon os-icon-pencil-2" style="color:blue;"></i></a><?php
						if ($value['pers_registros'] == 0 && $value['pers_ingresado_adm'] == 0) {?>
							<a class="danger" href="#" title="Eliminar cliente y/o proveedor"
								onclick="clienteProveedorEliminarConfirmar('<?php echo varios::codifica($value['pers_UID']);?>', 
								'<?php echo $value['pers_razon_social'];?>')"><i class="picons-thin-icon-thin-0018_office_trash_bin" style="color:blue;"></i></a><?php											
						} else {?>
							<a class="disabled" href="#" title="No se puede eliminar porque está siendo ocupado"><i class="picons-thin-icon-thin-0018_office_trash_bin" 
										style="color:#aeb6bf;"></i></a><?php						
						}}?>
					</td>
        </tr><?php
      }?>
    </tbody>
  </table>
  </div>
    <?php
} else {
  echo 'No: ';
  print_r(getdate());
}
?>

